MCP Tools Reference: slidesmcp.googleapis.com

টুল: read_presentation

একটি গুগল স্লাইডস প্রেজেন্টেশনের JSON উপস্থাপনা পড়ুন।

এটি REST API-এর presentations.get এর অনুরূপ।

নিম্নলিখিত নমুনাটি দেখায় কিভাবে curl ব্যবহার করে ` read_presentation MCP টুলটি চালু করতে হয়।

কার্ল অনুরোধ
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

ইনপুট স্কিমা

একটি উপস্থাপনা পড়ার অনুরোধ।

ReadPresentationRequest

JSON উপস্থাপনা
{
  "presentationId": string
}
ক্ষেত্র
presentationId

string

প্রয়োজনীয়। যে প্রেজেন্টেশন থেকে বিষয়বস্তু পড়তে হবে, তার আইডি।

আউটপুট স্কিমা

উপস্থাপনাটির JSON রূপ সম্বলিত প্রতিক্রিয়া।

ReadPresentationResponse

JSON উপস্থাপনা
{
  "content": string
}
ক্ষেত্র
content

string

একটি গুগল স্লাইডস প্রেজেন্টেশনের JSON উপস্থাপনা।

টুল টীকা

ধ্বংসাত্মক ইঙ্গিত: ❌ | স্বকীয় ইঙ্গিত: ✅ | শুধুমাত্র পঠনযোগ্য ইঙ্গিত: ✅ | উন্মুক্ত বিশ্ব ইঙ্গিত: ✅